/****************************************************************************/
/* REXX program to de-registerd Footprint WPS Objects - Z. Zeng 06/14/94    */
/****************************************************************************/
Call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
Call sysloadfuncs
  
Say " "
Say "De-registering IBM Works Workplace Shell objects ..."
  
Call SysDestroyObject '<WP_FPWO_WPTEMP>'
Call SysDestroyObject '<WP_FPWO_SSTEMP>'    
Call SysDestroyObject '<WP_FPWO_CHTEMP>'    
Call SysDestroyObject '<WP_FPWO_DBTEMP>'    
Call SysDestroyObject '<WP_FPWO_RWTEMP>'    
Call SysDestroyObject '<WP_FPWO_GRTEMP>'    

Call SysDeregisterObjectClass 'FpwWPData'
Call SysDeregisterObjectClass 'FpwSSData'    
Call SysDeregisterObjectClass 'FpwCHData'    
Call SysDeregisterObjectClass 'FpwDBData'    
Call SysDeregisterObjectClass 'FpwRWData'    
Call SysDeregisterObjectClass 'FpwGRData'    
Call SysDeregisterObjectClass 'FpwWPSData'

Call SysDestroyObject '<FPW_CATALYST>'    
Call SysDeregisterObjectClass 'FpwCatalyst'    

Say ''
Say 'IBM Works WPS objects de-registered, please shutdown and'
Say 're-start your machine to complete the dergistration.'
